nx_server_plugin_sdk 1.0 Server Plugin SDK

Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::stub::custom_metadata::Integration Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::custom_metadata::Integration:

## Protected Member Functions
virtual nx::sdk::Result< nx::sdk::analytics::IEngine * > | doObtainEngine () override
virtual std::string | instanceId () const override
virtual std::string | manifestString () const override
Protected Member Functions inherited from nx::sdk::analytics::Integration
virtual void | getManifest (Result< const IString *> *outResult) const override
virtual void | doCreateEngine (Result< IEngine *> *outResult) override
Protected Member Functions inherited from nx::sdk::Interface< IIntegration >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Public Types inherited from nx::sdk::analytics::Integration
using | CreateEngine = std::function< IEngine *(Integration *integration)>
Public Member Functions inherited from nx::sdk::analytics::Integration
| Integration (std::string integrationManifest, CreateEngine createEngine)
Ptr< IUtilityProvider > | utilityProvider () const
virtual void | setUtilityProvider (IUtilityProvider *utilityProvider) override
Public Member Functions inherited from nx::sdk::RefCountable< IIntegration >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IIntegration >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const
Static Public Member Functions inherited from nx::sdk::IIntegration
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ doObtainEngine()

Result< IEngine * > nx::vms_server_plugins::analytics::stub::custom_metadata::Integration::doObtainEngine | ( |  | ) |
| overrideprotectedvirtual

Override this method instead of doCreateEngine().

Reimplemented from nx::sdk::analytics::Integration.

## ◆ instanceId()

virtual std::string nx::vms_server_plugins::analytics::stub::custom_metadata::Integration::instanceId | ( |  | ) | const
| inlineoverrideprotectedvirtual

Override for multi-IIntegration libraries; provide integrationId specified in the Manifest.

Reimplemented from nx::sdk::analytics::Integration.

The documentation for this class was generated from the following files:

- samples/analytics/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/custom_metadata/integration.h
- samples/analytics/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/custom_metadata/integration.cpp